# Uses of Interface
org.eclipse.search.ui.ISearchResult

Packages that use ISearchResult
Package
Description
org.eclipse.search.ui
Classes and interface required to contribute search dialog pages and search result view pages.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.

## Uses of ISearchResult in org.eclipse.search.ui

Methods in org.eclipse.search.ui that return ISearchResult
Modifier and Type
Method
Description
`ISearchResult`
ISearchQuery.`getSearchResult()`
Returns the search result associated with this query.
`ISearchResult`
SearchResultEvent.`getSearchResult()`
Gets the `ISearchResult` for this event.
Methods in org.eclipse.search.ui with parameters of type ISearchResult
Modifier and Type
Method
Description
`void`
ISearchResultPage.`setInput(ISearchResult search, Object uiState)`
Sets the search result to be shown in this search results page.
Constructors in org.eclipse.search.ui with parameters of type ISearchResult
Modifier
Constructor
Description
`protected`
`SearchResultEvent(ISearchResult searchResult)`
Creates a new search result event for the given search result.

## Uses of ISearchResult in org.eclipse.search.ui.text

Classes in org.eclipse.search.ui.text that implement ISearchResult
Modifier and Type
Class
Description
`class`
`AbstractTextSearchResult`
An abstract base implementation for text-match based search results.
Methods in org.eclipse.search.ui.text with parameters of type ISearchResult
Modifier and Type
Method
Description
`void`
AbstractTextSearchViewPage.`setInput(ISearchResult newSearch, Object viewState)`
Constructors in org.eclipse.search.ui.text with parameters of type ISearchResult
Modifier
Constructor
Description
``
`FilterUpdateEvent(ISearchResult searchResult, Match[] matches, MatchFilter[] filters)`
Constructs a new `FilterUpdateEvent`.
``
`MatchEvent(ISearchResult searchResult)`
Constructs a new `MatchEvent`.
``
`RemoveAllEvent(ISearchResult searchResult)`
A constructor